geos::algorithm::InteriorPointPoint Class Reference

Computes a point in the interior of an point geometry. More...

`#include <InteriorPointPoint.h>`

## Public Member Functions

| InteriorPointPoint (const geom::Geometry *g)
bool | getInteriorPoint (geom::CoordinateXY &ret) const

## Detailed Description

Computes a point in the interior of an point geometry.

Algorithm:

Find a point which is closest to the centroid of the geometry.

The documentation for this class was generated from the following file:

- InteriorPointPoint.h